Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(253)

Issue 1579041: Align metronome mark at time signature or first musical element. Fixes #684. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
9 years ago by janneke
Modified:
7 years, 12 months ago
Reviewers:
Reinhold, janneke-list, Neil Puttock, hanwenn
CC:
lilypond-devel_gnu.org
Visibility:
Public.

Description

Align metronome mark at time signature or first musical element. Fixes #684. Only if no TimeSignature is present, align on musical column. Break-alignable metronome marks.

Patch Set 1 #

Patch Set 2 : remove hardcoding of time signature. #

Total comments: 1

Patch Set 3 : Align metronome mark also on MultiMeasureRest. #

Total comments: 5

Patch Set 4 : also align on key-signature and process Neil's comments #

Patch Set 5 : with multi-measure-rest: align at bar #

Total comments: 9

Patch Set 6 : process Neil's comments: cleanups and fixing warnings. #

Total comments: 4

Patch Set 7 : Processed more comments from Neil #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+120 lines, -8 lines) Patch
A input/regression/metronome-marking-break-align.ly View 1 chunk +21 lines, -0 lines 0 comments Download
M lily/break-alignment-interface.cc View 1 chunk +1 line, -0 lines 0 comments Download
M lily/default-bar-line-engraver.cc View 1 chunk +0 lines, -1 line 0 comments Download
M lily/metronome-engraver.cc View 1 2 3 4 5 6 5 chunks +81 lines, -4 lines 2 comments Download
M lily/part-combine-engraver.cc View 1 chunk +0 lines, -1 line 0 comments Download
M lily/timing-translator.cc View 5 6 1 chunk +0 lines, -1 line 0 comments Download
M scm/define-grob-properties.scm View 4 5 6 1 chunk +2 lines, -0 lines 0 comments Download
M scm/define-grobs.scm View 1 2 3 4 5 6 3 chunks +15 lines, -1 line 0 comments Download

Messages

Total messages: 35
Neil Puttock
Hi Jan, Have you checked what happens with full-bar rests? I haven't tested your patch, ...
9 years ago (2010-06-07 16:59:14 UTC) #1
janneke-list_xs4all.nl
Op maandag 07-06-2010 om 16:59 uur [tijdzone +0000], schreef n.puttock@gmail.com: Hi Neil, > Have you ...
9 years ago (2010-06-07 21:54:05 UTC) #2
Neil Puttock
Hi Jan, I've tested the latest patch, and it looks pretty good so far. Here ...
9 years ago (2010-06-08 22:22:43 UTC) #3
janneke
On 2010/06/08 22:22:43, Neil Puttock wrote: Comments processed in patch 4 & 5. > Here ...
9 years ago (2010-06-16 12:08:06 UTC) #4
Neil Puttock
Hi Jan, On 2010/06/16 12:08:06, jan.nieuwenhuizen wrote: > On 2010/06/08 22:22:43, Neil Puttock wrote: > ...
9 years ago (2010-06-16 22:37:14 UTC) #5
Neil Puttock
Hi Jan, Here are some more comments for you. Cheers, Neil http://codereview.appspot.com/1579041/diff/19001/20003 File lily/metronome-engraver.cc (right): ...
9 years ago (2010-06-20 21:57:20 UTC) #6
janneke
On 2010/06/20 21:57:20, Neil Puttock wrote: AARGH. Again this web interface eats my email. Is ...
9 years ago (2010-06-22 18:51:57 UTC) #7
janneke
Hi Neil, Not sure how to find the email address to bind this to http://codereview.appspot.com/1579041 ...
9 years ago (2010-06-22 19:01:58 UTC) #8
c_sorensen
On 6/22/10 12:51 PM, "jan.nieuwenhuizen@gmail.com" <jan.nieuwenhuizen@gmail.com> wrote: > On 2010/06/20 21:57:20, Neil Puttock wrote: > ...
9 years ago (2010-06-22 19:04:14 UTC) #9
c_sorensen
On 6/22/10 12:51 PM, "jan.nieuwenhuizen@gmail.com" <jan.nieuwenhuizen@gmail.com> wrote: > On 2010/06/20 21:57:20, Neil Puttock wrote: > ...
9 years ago (2010-06-22 19:05:29 UTC) #10
janneke
So, how are we doing here? Ready to commit & close http://code.google.com/p/lilypond/issues/detail?id=684
8 years, 12 months ago (2010-07-01 08:08:36 UTC) #11
Neil Puttock
Hi Jan, On 2010/07/01 08:08:36, jan.nieuwenhuizen wrote: > So, how are we doing here? Ready ...
8 years, 12 months ago (2010-07-01 21:34:01 UTC) #12
Neil Puttock
Hi Jan, On 2010/06/22 19:01:58, jan.nieuwenhuizen wrote: > Alas, it can't. When adding staff-bar to ...
8 years, 11 months ago (2010-07-04 19:54:54 UTC) #13
janneke-list_xs4all.nl
Op zondag 04-07-2010 om 19:54 uur [tijdzone +0000], schreef n.puttock@gmail.com: > > Alas, it can't. ...
8 years, 11 months ago (2010-07-04 20:36:28 UTC) #14
Neil Puttock
On 2010/07/04 20:36:28, janneke-list_xs4all.nl wrote: > It does. The symbol order does determine the priority. ...
8 years, 11 months ago (2010-07-04 21:14:52 UTC) #15
Neil Puttock
http://codereview.appspot.com/1579041/diff/30001/31004 File lily/metronome-engraver.cc (right): http://codereview.appspot.com/1579041/diff/30001/31004#newcode82 lily/metronome-engraver.cc:82: && g->get_property_data ("break-align-symbol") text_->get_property ("break-align-symbol") OK, so it's unlikely, ...
8 years, 11 months ago (2010-07-04 21:15:10 UTC) #16
reinhold_kainhofer.com
Am Sonntag, 20. Juni 2010, 23:57:20 schrieb n.puttock@gmail.com: > Here are some more comments for ...
8 years, 11 months ago (2010-07-27 13:42:01 UTC) #17
janneke-list_xs4all.nl
Op dinsdag 27-07-2010 om 15:45 uur [tijdzone +0200], schreef Reinhold Kainhofer: > What happened to ...
8 years, 11 months ago (2010-07-27 14:14:12 UTC) #18
Neil Puttock
On 2010/07/27 14:14:12, janneke-list_xs4all.nl wrote: > I'm "waiting" for an ack. From whom?
8 years, 10 months ago (2010-08-10 21:36:28 UTC) #19
janneke
> From whom? Obviously, I missed your last set of comments. I removed metronome-mark from ...
8 years, 10 months ago (2010-08-24 13:26:14 UTC) #20
Neil Puttock
On 2010/08/24 13:26:14, jan.nieuwenhuizen wrote: > Obviously, I missed your last set of comments. > ...
8 years, 10 months ago (2010-08-25 20:54:24 UTC) #21
Neil Puttock
Hi Jan, I've tested the latest patch thoroughly, and it seems fine for the most ...
8 years, 10 months ago (2010-08-26 22:49:10 UTC) #22
janneke
Thanks. Applied and set to Fixed.
8 years, 10 months ago (2010-08-27 09:50:47 UTC) #23
hanwenn
http://codereview.appspot.com/1579041/diff/42001/43004 File lily/metronome-engraver.cc (right): http://codereview.appspot.com/1579041/diff/42001/43004#newcode109 lily/metronome-engraver.cc:109: } this is out of style with the rest ...
8 years, 10 months ago (2010-08-29 18:04:00 UTC) #24
janneke-list_xs4all.nl
Op zondag 29-08-2010 om 18:04 uur [tijdzone +0000], schreef hanwenn@gmail.com: > http://codereview.appspot.com/1579041/diff/42001/43004#newcode109 > lily/metronome-engraver.cc:109: } ...
8 years, 10 months ago (2010-08-29 18:54:25 UTC) #25
hanwenn
On Sun, Aug 29, 2010 at 3:54 PM, Jan Nieuwenhuizen <janneke-list@xs4all.nl> wrote: > Op zondag ...
8 years, 10 months ago (2010-08-29 18:59:31 UTC) #26
Reinhold
First, great to see that this feature has finally been implemented and pushed. Unfortunately, it ...
8 years, 10 months ago (2010-08-29 19:54:28 UTC) #27
hanwenn
http://codereview.appspot.com/1579041/diff/42001/43004 File lily/metronome-engraver.cc (right): http://codereview.appspot.com/1579041/diff/42001/43004#newcode81 lily/metronome-engraver.cc:81: } is there a reason you are worried about ...
8 years, 10 months ago (2010-08-29 20:09:55 UTC) #28
janneke-list_xs4all.nl
Op zondag 29-08-2010 om 20:09 uur [tijdzone +0000], schreef hanwenn@gmail.com: > http://codereview.appspot.com/1579041/diff/42001/43004 > File lily/metronome-engraver.cc ...
8 years, 10 months ago (2010-08-29 20:21:05 UTC) #29
hanwenn
On Sun, Aug 29, 2010 at 5:21 PM, Jan Nieuwenhuizen <janneke-list@xs4all.nl> wrote: > It's not ...
8 years, 10 months ago (2010-08-29 20:46:09 UTC) #30
Neil Puttock
On 2010/08/29 19:54:28, Reinhold wrote: > First, great to see that this feature has finally ...
8 years, 10 months ago (2010-08-29 22:02:18 UTC) #31
Neil Puttock
On 2010/08/29 22:02:18, Neil Puttock wrote: > On 2010/08/29 19:54:28, Reinhold wrote: > > First, ...
8 years, 10 months ago (2010-08-29 23:27:40 UTC) #32
janneke-list_xs4all.nl
Op zondag 29-08-2010 om 23:27 uur [tijdzone +0000], schreef n.puttock@gmail.com: Neil, > I've posted a ...
8 years, 10 months ago (2010-08-30 07:41:55 UTC) #33
Neil Puttock
On 2010/08/30 07:41:55, janneke-list_xs4all.nl wrote: > Thanks! > > There seems to be no difference ...
8 years, 9 months ago (2010-09-01 22:12:32 UTC) #34
Colin Campbell
8 years ago (2011-06-27 01:37:33 UTC) #35
I gather this is connected to issue 684, so it should probably be marked closed,
Jan.

Thanks,
Colin
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b